HaruDoc::output
HaruDoc::resetError
HaruDoc
PHP Manual

# HaruDoc::readFromStream

(PECL haru >= 0.0.1)

HaruDoc::readFromStream — Read data from the temporary stream

### Description

string HaruDoc::readFromStream ( int `$bytes` )

Read data from the temporary stream.

### Parameters

`bytes`

  The `bytes` parameter specifies how many bytes to read, though the stream may contain less bytes than requested.

### Return Values

Returns data from the temporary stream.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::saveToStream() - Save the document into a temporary stream
- HaruDoc::resetStream() - Rewind the temporary stream
- HaruDoc::getStreamSize() - Get the size of the temporary stream

HaruDoc::output
HaruDoc::resetError
HaruDoc
PHP Manual